%define upstream_name    Glib-IO
%define upstream_version 0.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl bindings to the GIO library
License:    LGPLv2
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Glib/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib::Object::Introspection) >= 0.14.0
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: typelib(Gio)
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires:   typelib(Gio)
BuildArch:  noarch
%description
Glib::IO is the perl bindings to the GIO library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc LICENSE META.json META.yml MYMETA.yml NEWS README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.2.0-2.mga9
+ Revision: 1814639
- Mageia 9 Mass Rebuild

* Tue Jun 29 2021 tv <tv> 0.2.0-1.mga9
+ Revision: 1734159
- update to 0.002

* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-4.mga8
+ Revision: 1504582
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.0-3.mga7
+ Revision: 1283944
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.1.0-2.mga7
+ Revision: 1164574
- rebuild with fixed rpm for missing autodeps

* Sun Sep 03 2017 tv <tv> 0.1.0-1.mga7
+ Revision: 1151007
- first official release

* Thu Aug 31 2017 tv <tv> 0.1.0-0.8.mga7
+ Revision: 1150191
- rebuild for fixed perl

* Tue Aug 01 2017 tv <tv> 0.1.0-0.7.mga7
+ Revision: 1133602
- new git snapshot (doc updates)
- switch to std make macros
- switch to %%autopatch

* Sun Jun 19 2016 pterjan <pterjan> 0.1.0-0.6.mga6
+ Revision: 1027944
- Rebuild for perl 5.22.2

* Thu Apr 07 2016 tv <tv> 0.1.0-0.5.mga6
+ Revision: 999102
- rebuild for perl-5.22
- restore it (needed for porting from libnotify to GNotification)
+ sander85 <sander85>
- Missing from CPAN and nothing depends on it

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-0.4.mga6
+ Revision: 750351
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-0.3.mga5
+ Revision: 684875
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-0.2.mga4
+ Revision: 522267
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 tv <tv> 0.1.0-0.1.mga3
+ Revision: 398961
- require typelib(Gio)
- imported package perl-Glib-IO

